Welcome to Embrilliance

Essentials update in the Mac App Store

Apple finally notified us that the Essentials 1.103 update for the Mac App Store will be available as soon as their servers propagate it. Owners of the MAS version of Essentials will get the update and/or notice per their MAS settings in OSX. Note to use the MAS you need OSX 10.6.8 or later. This version is now compatible with Mountain Lion. Due to the launch of ML, and every developer on the planet submitting compatibility updates, it has taken Apple a while to get caught up, or so it seems.

Posted 6 years, 3 months ago at 3:57 pm.

Add a comment


-- A Random Happy Thought --

"Yes, this is exactly what I need. This was referred to me by several of my embroidery buddies."
From Arlene W
Regarding Essentials